Xerces-C++ 3.1.3

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Attributes | Friends | List of all members
XSNamespaceItem Class Reference
Inheritance diagram for XSNamespaceItem:

## Public Member Functions

Constructors
| XSNamespaceItem (XSModel *const xsModel, SchemaGrammar *const grammar, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
| XSNamespaceItem (XSModel *const xsModel, const XMLCh *const schemaNamespace, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
Destructor
| ~XSNamespaceItem ()
XSNamespaceItem methods
const XMLCh * | getSchemaNamespace () const
| [schema namespace]: A namespace name or `null` corresponding to the target namespace of the schema document.
XSNamedMap< XSObject > * | getComponents (XSConstants::COMPONENT_TYPE objectType)
| [schema components]: a list of top-level components, i.e.
XSAnnotationList * | getAnnotations ()
| [annotations]: a set of annotations.
const XSAnnotationList * | getAnnotations () const
XSElementDeclaration * | getElementDeclaration (const XMLCh *name)
| Convenience method.
XSAttributeDeclaration * | getAttributeDeclaration (const XMLCh *name)
| Convenience method.
XSTypeDefinition * | getTypeDefinition (const XMLCh *name)
| Convenience method.
XSAttributeGroupDefinition * | getAttributeGroup (const XMLCh *name)
| Convenience method.
XSModelGroupDefinition * | getModelGroupDefinition (const XMLCh *name)
| Convenience method.
XSNotationDeclaration * | getNotationDeclaration (const XMLCh *name)
| Convenience method.
const StringList * | getDocumentLocations ()
| [document location] - a list of locations URI for the documents that contributed to the XSModel.
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Protected Attributes

MemoryManager *const | fMemoryManager
SchemaGrammar * | fGrammar
XSModel * | fXSModel
XSNamedMap< XSObject > * | fComponentMap [XSConstants::MULTIVALUE_FACET]
XSAnnotationList * | fXSAnnotationList
RefHashTableOf< XSObject > * | fHashMap [XSConstants::MULTIVALUE_FACET]
const XMLCh * | fSchemaNamespace

## Friends

class | XSModel
class | XSObjectFactory

## Additional Inherited Members

Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Constructor & Destructor Documentation

XSNamespaceItem::XSNamespaceItem | ( | XSModel *const | xsModel,
|  | SchemaGrammar *const | grammar,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

The default constructor.

Parameters

  xsModel |
  grammar |
  manager | The configurable memory manager

XSNamespaceItem::XSNamespaceItem | ( | XSModel *const | xsModel,
|  | const XMLCh *const | schemaNamespace,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

XSNamespaceItem::~XSNamespaceItem | ( |  | ) |

## Member Function Documentation

XSAnnotationList * XSNamespaceItem::getAnnotations | ( |  | ) |

[annotations]: a set of annotations.

References fXSAnnotationList.

const XSAnnotationList * XSNamespaceItem::getAnnotations | ( |  | ) | const

References fXSAnnotationList.

XSAttributeDeclaration* XSNamespaceItem::getAttributeDeclaration | ( | const XMLCh * | name | ) |

Convenience method.

Returns a top-level attribute declaration.

Parameters

  name | The name of the declaration.

Returns
  A top-level attribute declaration or `null` if such declaration does not exist.

XSAttributeGroupDefinition* XSNamespaceItem::getAttributeGroup | ( | const XMLCh * | name | ) |

Convenience method.

Returns a top-level attribute group definition.

Parameters

  name | The name of the definition.

Returns
  A top-level attribute group definition or `null` if such definition does not exist.

XSNamedMap<XSObject>* XSNamespaceItem::getComponents | ( | XSConstants::COMPONENT_TYPE | objectType | ) |

[schema components]: a list of top-level components, i.e.

element declarations, attribute declarations, etc.

Parameters

  objectType | The type of the declaration, i.e. `ELEMENT_DECLARATION`, `TYPE_DEFINITION` and any other component type that may be a property of a schema component.

Returns
  A list of top-level definition of the specified type in `objectType` or `null`.

const StringList* XSNamespaceItem::getDocumentLocations | ( |  | ) |

[document location] - a list of locations URI for the documents that contributed to the XSModel.

XSElementDeclaration* XSNamespaceItem::getElementDeclaration | ( | const XMLCh * | name | ) |

Convenience method.

Returns a top-level element declaration.

Parameters

  name | The name of the declaration.

Returns
  A top-level element declaration or `null` if such declaration does not exist.

XSModelGroupDefinition* XSNamespaceItem::getModelGroupDefinition | ( | const XMLCh * | name | ) |

Convenience method.

Returns a top-level model group definition.

Parameters

  name | The name of the definition.

Returns
  A top-level model group definition definition or `null` if such definition does not exist.

XSNotationDeclaration* XSNamespaceItem::getNotationDeclaration | ( | const XMLCh * | name | ) |

Convenience method.

Returns a top-level notation declaration.

Parameters

  name | The name of the declaration.

Returns
  A top-level notation declaration or `null` if such declaration does not exist.

const XMLCh * XSNamespaceItem::getSchemaNamespace | ( |  | ) | const

[schema namespace]: A namespace name or `null` corresponding to the target namespace of the schema document.

References fSchemaNamespace.

XSTypeDefinition* XSNamespaceItem::getTypeDefinition | ( | const XMLCh * | name | ) |

Convenience method.

Returns a top-level simple or complex type definition.

Parameters

  name | The name of the definition.

Returns
  An `XSTypeDefinition` or `null` if such definition does not exist.

## Friends And Related Function Documentation

friend class XSModel

friend

friend class XSObjectFactory

friend

## Member Data Documentation

XSNamedMap<XSObject>* XSNamespaceItem::fComponentMap[XSConstants::MULTIVALUE_FACET]

protected

SchemaGrammar* XSNamespaceItem::fGrammar

protected

RefHashTableOf<XSObject>* XSNamespaceItem::fHashMap[XSConstants::MULTIVALUE_FACET]

protected

MemoryManager* const XSNamespaceItem::fMemoryManager

protected

const XMLCh* XSNamespaceItem::fSchemaNamespace

protected

Referenced by getSchemaNamespace().

XSAnnotationList* XSNamespaceItem::fXSAnnotationList

protected

Referenced by getAnnotations().

XSModel* XSNamespaceItem::fXSModel

protected

The documentation for this class was generated from the following file:

- XSNamespaceItem.hpp